/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,
        },
        {
            title: "素材名称",
            dataIndex: 'name',
            width: 150,
        },
        {
            title: "素材预览",
            dataIndex: 'url',
            width: 150,
        },
        {
            title: "素材分类",
            dataIndex: 'cname',
            width: 150,
        },
        {
            title: "使用次数",
            dataIndex: 'count',
            width: 150,
        },
        {
            title: "上传时间",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('assets-list-Table', columns, {
        cat: null,
        name: null
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.assets.list,
        add: api.assets.add,
        delete: api.assets.del,
        modify: api.assets.modify
    };

    return {
        face,
        table
    };

}
