/*
 * @author 友人a丶
 * @date
 *
 * */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {
  /*
   * 初始化表头
   * */
  /*
   * 初始化表头
   * */
  const columns = [
    {
      title: "ID",
      width: 50,
    },
    {
      title: "分类名称",
      dataIndex: "name",
      width: 150,
    },
    {
      title: "是否在小程序展示",
      dataIndex: "visible",
      width: 150,
    },
    {
      title: "添加日期",
      dataIndex: "datetime",
      width: 150,
    },
    {
      title: "操作",
      fixed: "right",
      width: 100,
      resizable: true,
      display: true,
    },
  ];

  let table = initTable("cats-list-Table", columns, {
    type: "1",
  }); //初始化表格

  /*
   * 接口列表
   * */
  const face = {
    list: api.cats.list,
    add: api.cats.add,
    delete: api.cats.del,
    modify: api.cats.modify,
  };

  return {
    face,
    table,
  };
}
