/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,
        },
        {
            title: "图片名称",
            dataIndex: 'name',
            width: 150,
        },
        {
            title: "图片预览",
            dataIndex: 'url',
            width: 150,
        },
        {
            title: "所属商品",
            dataIndex: 'gname',
            width: 150,
        },
        {
            title: "上传时间",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('copys-list-Table', columns, {
        goods: null
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.copys.list,
        add: api.copys.add,
        delete: api.copys.del,
        modify: api.copys.modify
    };

    return {
        face,
        table
    };

}
