/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,
        },
        {
            title: "字体名称",
            dataIndex: 'name',
            width: 150,
        },
        {
            title: "字体预览",
            width: 150,
        },
        {
            title: "上传时间",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('fonts-list-Table', columns); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.fonts.list,
        add: api.fonts.add,
        delete: api.fonts.del,
        modify: api.fonts.modify
    };

    return {
        face,
        table
    };

}
