/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,

        },
        {
            title: "商品名称",
            dataIndex: 'name',
            width: 150,

        },
        {
            title: "商品图标",
            dataIndex: 'preview',
            width: 150,
        },
        {
            title: "默认模板",
            dataIndex: 'default',
            width: 150,
        },
        {
            title: "添加日期",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('Goods-list-Table', columns, {
        name: null
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.goods.list,
        add: api.goods.add,
        delete: api.goods.del,
        modify: api.goods.modify
    };

    return {
        face,
        table
    };

}
