/*
 * @author 友人a丶
 * @date
 *
 * */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {
  /*
   * 初始化表头
   * */

  /*
   * 初始化表头
   * */
  const columns = [
    {
      title: "排序",
      dataIndex: "sort",
      width: 150,
    },
    {
      title: "ID",
      width: 50,
    },
    {
      title: "名称",
      dataIndex: "name",
      width: 150,
    },
    {
      title: "所属模型",
      dataIndex: "model_name",
      width: 150,
    },
    {
      title: "物料编码",
      dataIndex: "code",
      width: 150,
    },
    {
      title: "参考价格",
      dataIndex: "price",
      width: 150,
    },
    {
      title: "顶部偏移量",
      dataIndex: "top",
      width: 150,
    },
    {
      title: "左部偏移量",
      dataIndex: "left",
      width: 150,
    },
    {
      title: "操作",
      fixed: "right",
      width: 100,
      resizable: true,
      display: true,
    },
  ];

  const table = initTable("material-list-Table", columns, {
    var: null,
    name: null,
  }); //初始化表格

  /*
   * 接口列表
   * */
  const face = {
    list: api.material.list,
    add: api.material.add,
    delete: api.material.del,
    modify: api.material.modify,
  };

  return {
    face,
    table,
  };
}
