/*
 * @author 友人a丶
 * @date
 *
 * */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {
  /*
   * 初始化表头
   * */

  /*
   * 初始化表头
   * */
  const columns = [
    {
      title: "排序",
      dataIndex: "sort",
      width: 150,
    },
    {
      title: "ID",
      width: 50,
    },
    {
      title: "图片名称",
      dataIndex: "name",
      width: 150,
    },
    {
      title: "图片预览",
      dataIndex: "url",
      width: 150,
    },
    {
      title: "关联模型",
      dataIndex: "model_name",
      width: 150,
    },
    {
      title: "点赞量",
      dataIndex: "like",
      width: 150,
    },
    {
      title: "浏览量",
      dataIndex: "view",
      width: 150,
    },
    {
      title: "使用量",
      dataIndex: "used",
      width: 150,
    },

    {
      title: "关联模型",
      dataIndex: "model_name",
      width: 150,
    },
    {
      title: "上传时间",
      dataIndex: "datetime",
      width: 150,
    },
  ];

  const table = initTable("copys-list-Table", columns, {
    goods: null,
  }); //初始化表格

  /*
   * 接口列表
   * */
  const face = {
    list: api.template.list,
    add: api.copys.add,
    delete: api.copys.del,
    modify: api.copys.modify,
  };

  return {
    face,
    table,
  };
}
