/*
 * @author 友人a丶
 * @date
 *
 * */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {
  /*
   * 初始化表头
   * */

  /*
   * 初始化表头
   * */
  const columns = [
    {
      title: "ID",
      width: 50,
    },
    {
      title: "店名",
      dataIndex: "name",
      width: 150,
    },
    {
      title: "设备",
      dataIndex: "device_name",
      width: 150,
    },
    {
      title: "登录账号",
      dataIndex: "staff_mobile",
      width: 150,
    },
    
    {
      title: "负责人",
      dataIndex: "staff_name",
      width: 100,
    },
    {
      title: "电话",
      dataIndex: "tel",
      width: 100,
    },
    {
      title: "地址",
      dataIndex: "address",
      width: 100,
    },
    {
      title: "上次登录",
      dataIndex: "staff_logintime",
      width: 180,
    },
    
    {
      title: "操作",
      fixed: "right",
      width: 100,
      resizable: true,
      display: true,
    },
  ];

  initTable("Users-Table", columns); //初始化表格

  /*
   * 接口列表
   * */
  const face = {
    list: api.stores.list,
    add: api.stores.add,
    delete: api.stores.del,
    modify: api.stores.modify,
    password: api.stores.password,
  };

  return {
    face,
  };
}
