export default function () {
  return [
    {
      path: "online-order",
      meta: {
        role: 2,
        name: "全部订单",
        icon: "ProjectOutlined",
        status: "",
        force: true,
      },
      component: () => import("@/pages/orders/online-order"),
    },
    {
      path: "online-order-payed",
      meta: {
        role: 2,
        name: "待分配订单",
        icon: "ProjectOutlined",
        status: "payed",
        force: true,
      },
      component: () => import("@/pages/orders/online-order"),
    },
    {
      path: "online-order-assign",
      meta: {
        role: 2,
        name: "待打印订单",
        icon: "ProjectOutlined",
        status: "assign",
        force: true,
      },
      component: () => import("@/pages/orders/online-order"),
    },
    {
      path: "online-order-print",
      meta: {
        role: 2,
        name: "待发货订单",
        icon: "ProjectOutlined",
        status: "print",
        force: true,
      },
      component: () => import("@/pages/orders/online-order"),
    },
  ];
}
