import {createApp} from 'vue'
import App from './App.vue'
import {createPinia} from "pinia"
import {router} from "./router/index";
import vcolorpicker from 'vcolorpicker'

import batch____import from './utils/imports'
import goto_____bootstrap from "./utils/bootstrap";


//import * as mock from './mock';//接口模拟


/* 初始化vue */
let app = createApp(App);
app.use(createPinia());//状态管理器
app.use(router);//路由加载
app.use(vcolorpicker)
batch____import(app);//批量导入组件
goto_____bootstrap(); //引导系统初始化

app.mount('#app')
