/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,

        },
        {
            title: "账号",
            dataIndex: 'username',
            width: 150,

        },
        {
            title: "姓名",
            dataIndex: 'nickname',
            width: 150,

        },
        {
            title: "权限",
            dataIndex: 'role',
            width: 100,

        },
        {
            title: "手机号",
            dataIndex: 'mobile',
            width: 100,

        },
        {
            title: "账号状态",
            dataIndex: 'status',
            width: 100,

        },
        {
            title: "上次登录",
            dataIndex: 'last_login',
            width: 180,

        },
        {
            title: "登录IP",
            dataIndex: 'last_ip',
            width: 100,

        },
        {
            title: "注册时间",
            dataIndex: 'datetime',
            width: 180,

        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    initTable('Users-Table', columns); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.user.list,
        add: api.user.add,
        delete: api.user.del,
        modify: api.user.modify,
        password: api.user.password
    };

    return {
        face
    };

}
