/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,
        },
        {
            title: "模型名称",
            dataIndex: 'name',
            width: 150,
        },
        {
            title: "模型预览",
            dataIndex: 'url',
            width: 150,
        },
        {
            title: "模型分类",
            dataIndex: 'vname',
            width: 150,
        },
        {
            title: "所属商品",
            dataIndex: 'gname',
            width: 150,
        },
        {
            title: "使用次数",
            dataIndex: 'count',
            width: 150,
        },
        {
            title: "上传时间",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('models-list-Table', columns, {
        var: null,
        name: null
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.models.list,
        add: api.models.add,
        delete: api.models.del,
        modify: api.models.modify
    };

    return {
        face,
        table
    };

}
