/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "ID",
            width: 50,

        },
        {
            title: "品牌名称",
            dataIndex: 'name',
            width: 150,

        },
        {
            title: "是否在小程序展示",
            dataIndex: 'visible',
            width: 150,
        },
        {
            title: "所属商品",
            dataIndex: 'goods',
            width: 150,
        },
        {
            title: "添加日期",
            dataIndex: 'datetime',
            width: 150,
        },
        {
            title: "操作",
            fixed: "right",
            width: 100,
            resizable: true,
            display: true
        }
    ];

    const table = initTable('Vars-list-Table', columns, {
        goods: null
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.vars.list,
        add: api.vars.add,
        delete: api.vars.del,
        modify: api.vars.modify
    };

    return {
        face,
        table
    };

}
