/*
 * @author 友人a丶
 * @date 2022-07-11
 *
 * 全局接口
 * */

// const BASE_URL = "https://tp5.rungyun.cn";
const BASE_URL = "/api";

export default {
  HOST: `${BASE_URL}`, //全局host
  common: {
    assets: `${BASE_URL}/assets/lists`, //素材列表
    models: `${BASE_URL}/models/lists`, //默认模板
    goods: `${BASE_URL}/goods/lists`,
    cats: `${BASE_URL}/cats/lists`,
    fonts: `${BASE_URL}/fonts/list_a`,
    vars: `${BASE_URL}/vars/lists`,
    count: `${BASE_URL}/dash/count`,
    datachart: `${BASE_URL}/dash/datachart`,
    image: `${BASE_URL}/image`,
  },
  /*用户登录*/
  login: {
    user: `${BASE_URL}/admin/login`,
  },
  user: {
    list: `${BASE_URL}/users/list`,
    add: `${BASE_URL}/users/add`,
    modify: `${BASE_URL}/users/modify`,
    del: `${BASE_URL}/users/del`,
    password: `${BASE_URL}/users/password`,
  },
  goods: {
    list: `${BASE_URL}/goods/list`,
    add: `${BASE_URL}/goods/add`,
    modify: `${BASE_URL}/goods/modify`,
    del: `${BASE_URL}/goods/del`,
  },
  vars: {
    list: `${BASE_URL}/vars/list`,
    add: `${BASE_URL}/vars/add`,
    modify: `${BASE_URL}/vars/modify`,
    del: `${BASE_URL}/vars/del`,
    change: `${BASE_URL}/vars/change`,
  },
  cats: {
    list: `${BASE_URL}/cats/list`,
    add: `${BASE_URL}/cats/add`,
    modify: `${BASE_URL}/cats/modify`,
    del: `${BASE_URL}/cats/del`,
    change: `${BASE_URL}/cats/change`,
  },
  fonts: {
    list: `${BASE_URL}/fonts/lists`,
    add: `${BASE_URL}/fonts/add`,
    modify: `${BASE_URL}/fonts/modify`,
    del: `${BASE_URL}/fonts/del`,
    change: `${BASE_URL}/fonts/change`,
  },

  copys: {
    list: `${BASE_URL}/copys/list`,
    add: `${BASE_URL}/copys/add`,
    modify: `${BASE_URL}/copys/modify`,
    modify_config: `${BASE_URL}/copys/modify_config`,
    del: `${BASE_URL}/copys/del`,
    change: `${BASE_URL}/copys/change`,
  },
  assets: {
    list: `${BASE_URL}/assets/list`,
    add: `${BASE_URL}/assets/add`,
    modify: `${BASE_URL}/assets/modify`,
    del: `${BASE_URL}/assets/del`,
  },
  models: {
    list: `${BASE_URL}/models/list`,
    add: `${BASE_URL}/models/add`,
    modify: `${BASE_URL}/models/modify`,
    del: `${BASE_URL}/models/del`,
  },
  custom: {
    list: `${BASE_URL}/custom/list`,
  },
  logs: {
    list: `${BASE_URL}/logs/list`,
  },
  files: {
    list: `${BASE_URL}/files/list`,
    del: `${BASE_URL}/files/del`,
    down: `${BASE_URL}/admin/download`,
    export: `${BASE_URL}/files/export`,
  },
  material: {
    list: `${BASE_URL}/material/list`,
    add: `${BASE_URL}/material/add`,
    modify: `${BASE_URL}/material/modify`,
    del: `${BASE_URL}/material/del`,
  },
  order: {
    list: `${BASE_URL}/orders/list`,
    listoff: `${BASE_URL}/orders/listoff`,
  },
  stores: {
    list: `${BASE_URL}/stores/list`,
    del: `${BASE_URL}/stores/del`,
    export: `${BASE_URL}/stores/export`,
  },
  template:{
    list: `${BASE_URL}/templates/list`,
  }
};
